[DRM plugin] Reorganize DrmBuffer
ClosedPublic

Authored by subdiff on Mar 26 2017, 1:54 AM.

Details

Summary

Split off GBM based buffers to a separate file, which gets only included, when GBM is available.

Note, that this also removes the gbmCallback, since already before this patch we did delete the buffers always without it.

Later we will use this file for via GBM directly imported Wayland buffers as well.

Test Plan

Tested with Gl and QPainter backends.

Diff Detail

Repository
R108 KWin
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
subdiff created this revision.Mar 26 2017, 1:54 AM
Restricted Application added a subscriber: kwin. · View Herald TranscriptMar 26 2017, 1:54 AM
subdiff updated this revision to Diff 12835.Mar 26 2017, 6:17 PM

Merge changes from dependency.

subdiff updated this revision to Diff 12846.Mar 26 2017, 7:27 PM

Merge changes from dependency.

graesslin accepted this revision.Apr 18 2017, 6:55 PM
This revision is now accepted and ready to land.Apr 18 2017, 6:55 PM
subdiff updated this revision to Diff 14331.EditedMay 9 2017, 2:56 AM

Incorporate changes from stack (update to current master).

subdiff updated this revision to Diff 14337.May 9 2017, 2:13 PM

Last diff upload accidentally showed the total diff to master. Now again it only shows the diff to D5118.

graesslin accepted this revision.May 9 2017, 3:02 PM
This revision was automatically updated to reflect the committed changes.